status 403 Not Authorized is not valid

Bug #1153082 reported by Brant Knudson on 2013-03-09
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack Identity (keystone)
Low
Sahdev Zala

Bug Description

Keystone responds to some requests with a status line of 403 Not Authorized. This is not valid HTTP. The status text for 403 should be Forbidden, see http://tools.ietf.org/html/rfc2616#section-10.4.4

Here's an example:

 $ curl -i -H "X-Auth-Token: $DEMO_TOKEN" http://localhost:5000/v3/projects ; echo
 HTTP/1.1 403 Not Authorized
 Vary: X-Auth-Token
 Content-Type: application/json
 Content-Length: 144
 Date: Sat, 09 Mar 2013 23:12:28 GMT

 {"error": {"message": "You are not authorized to perform the requested action: identity:list_projects", "code": 403, "title": "Not Authorized"}}

This should be:

$ curl -i -H "X-Auth-Token: $DEMO_TOKEN" http://localhost:5000/v3/projects ; echo
HTTP/1.1 403 Forbidden
Vary: X-Auth-Token
Content-Type: application/json
Content-Length: 144
Date: Sat, 09 Mar 2013 23:12:28 GMT

{"error": {"message": "You are not authorized to perform the requested action: identity:list_projects", "code": 403, "title": "Forbidden"}}

Sahdev Zala (spzala) on 2013-03-12
Changed in keystone:
assignee: nobody → Sahdev Zala (spzala)
Dolph Mathews (dolph) on 2013-03-19
Changed in keystone:
status: New → Triaged
importance: Undecided → Low

Fix proposed to branch: master
Review: https://review.openstack.org/28053

Changed in keystone:
status: Triaged → In Progress

Reviewed: https://review.openstack.org/28053
Committed: http://github.com/openstack/keystone/commit/ba7f7d252ec4f6b48c46f26eea4459cda1af0f6b
Submitter: Jenkins
Branch: master

commit ba7f7d252ec4f6b48c46f26eea4459cda1af0f6b
Author: Sahdev Zala <email address hidden>
Date: Thu May 2 10:21:41 2013 -0500

    Fix 403 status response

    Fixes Bug1153082

    Change-Id: I1305d885751d4fa746e49cd5a76100c1900a9a53

Changed in keystone:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2013-05-29
Changed in keystone:
milestone: none → havana-1
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-10-17
Changed in keystone:
milestone: havana-1 → 2013.2
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers